.banner {
    background-image: url(../images/banner.jpeg);
    background-position: center;
    background-size: cover;
    height: 790px;
    border-bottom-left-radius: 50px;
    border-bottom-right-radius: 50px;
    position: relative;
    overflow: hidden;
}

.banner-bg {
    background-color: #25252580;
    width: 100%;
    height: 100%;
    position: absolute;
    left: 0;
    top: 0;
}

.banner__content {
    padding: 250px 0 60px 0;
    position: relative;
    z-index: 1;
}

.banner__content,
.banner .wrapper {
    height: 100%;
}

.banner__top {
    gap: 25px;
    flex-wrap: wrap;
}

.banner__top span {
    color: var(--white);
    opacity: 0.8;
    line-height: 18px;
    font-size: 16px;
    font-weight: 400;
}

.banner__top span:last-of-type {
    max-width: 335px;
}

.banner__top>div {
    height: 40px;
    width: 1px;
    background-color: white;
    opacity: 0.2;
}

.banner__bottom {
    display: grid;
    grid-template-columns: 2fr 1fr;
    gap: 122px;
    align-items: center;
}

.banner__text {
    font-weight: 400;
    color: var(--white);
    letter-spacing: -0.03rem;
}

.banner__text span {
    font-weight: 600;
}

.banner__btns {
    gap: 20px;
    height: 80px;
}

.banner__btns button,
.banner__btns a {
    border-radius: 15px;
    height: 100%;
}

.banner__btns button {
    padding: 31px 22px;
}

.banner__btns a {
    width: 80px;
    height: 80px;
    padding: 25px;
}

.our-products {
    position: relative;
}

.our-products__slider {
    width: 100%;
    margin-top: 50px;
}

.our-products__slide {
    background-color: white;
    border-radius: 20px;
    overflow: hidden;
}

.our-products__content {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    gap: 30px;
    padding: 30px;
}

.our-products__picture {
    height: 200px;
    overflow: hidden;
}

.our-products__picture img {
    width: 100%;
    object-fit: contain;
}

.our-products__content button {
    justify-content: center;
}

.equipment__content {
    gap: 50px;
}

.equipment__items {
    display: grid;
    grid-template-columns: repeat(12, 1fr);
    grid-template-rows: repeat(12, 1fr);
    gap: 20px;
}

.equipment__item {
    position: relative;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    gap: 34px;
    padding: 30px;
    border-radius: 20px;
    background-color: white;
}

.equipment__item:not(:nth-child(6)) img {
    max-width: 100px;
}

.equipment__item:nth-child(6) img {
    max-width: 324px;
}

.equipment__item-go-page {
    position: absolute;
    top: 30px;
    right: 30px;
}

.equipment__item-go-page::after {
    content: url(../images/svg/arrow-to-page.svg);
}

.equipment__item img {
    max-width: 100%;
}

.equipment__items>div:nth-of-type(1) {
    grid-column: span 4 / span 4;
    grid-row: span 3 / span 3;
}

.equipment__items>div:nth-of-type(2) {
    grid-column: span 4 / span 4;
    grid-row: span 3 / span 3;
    grid-column-start: 5;
}

.equipment__items>div:nth-of-type(3) {
    grid-column: span 4 / span 4;
    grid-row: span 3 / span 3;
    grid-column-start: 9;
}

.equipment__items>div:nth-of-type(4) {
    grid-column: span 4 / span 4;
    grid-row: span 3 / span 3;
    grid-row-start: 4;
}

.equipment__items>div:nth-of-type(5) {
    grid-column: span 4 / span 4;
    grid-row: span 3 / span 3;
    grid-column-start: 1;
    grid-row-start: 7;
}

.equipment__items>div:nth-of-type(6) {
    grid-column: span 8 / span 8;
    grid-row: span 6 / span 6;
    grid-column-start: 5;
    grid-row-start: 4;
}

.equipment__items>div:nth-of-type(7) {
    grid-column: span 4 / span 4;
    grid-row: span 3 / span 3;
    grid-row-start: 10;
}

.equipment__items>div:nth-of-type(8) {
    grid-column: span 4 / span 4;
    grid-row: span 3 / span 3;
    grid-column-start: 5;
    grid-row-start: 10;
}

.equipment__items>div:nth-of-type(9) {
    grid-column: span 4 / span 4;
    grid-row: span 3 / span 3;
    grid-column-start: 9;
    grid-row-start: 10;
}

.company-digital {
    background-color: var(--blue);
    padding: 100px 0;
}

.company-digital__items {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 20px;
    margin-top: 100px;
}

.company-digital__item {
    display: flex;
    flex-direction: column;
    gap: 70px;
    padding: 30px;
    border-radius: 20px;
    background-color: #1C68B6;
}

.company-digital__item span,
.company-digital__item p {
    color: white;
}

.company-digital__item p {
    font-weight: 400;
}

.company-digital__item span {
    font-size: 72px;
    font-weight: 400;

}

.swiper-slide img {
    max-width: 100%;
}

.reviews {
    gap: 50px;
    position: relative;
}

.reviews__slide {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    gap: 30px;
    border-radius: 20px;
    padding: 38px;
    background-color: var(--white);
    height: auto;
}

.reviews__slide>div:first-of-type {
    gap: 30px;
}

.reviews__slide>div:last-of-type span,
.reviews__slide>div:first-of-type h6 {
    font-weight: 600;
}

.reviews__slide>div:first-of-type p {
    line-height: 26px;
}

.reviews__slide-icon {
    width: 50px;
    height: 50px;
    border-radius: 100px;
    padding: 13px;
    background-color: var(--pale-white);
    display: flex;
    align-items: center;
    justify-content: center;
}

.reviews__slide-icon img {
    max-width: 100%;
}

.reviews__controls {
    position: absolute;
    top: 0;
    right: 0;
}

.general-contacts {
    margin-top: 20px;
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 20px;
    margin-bottom: 120px;
}

.general-contacts__item {
    background-color: var(--white);
    padding: 30px;
    border-radius: 20px;
}

.general-contacts__item {
    gap: 15px;
}

.general-contacts__item h6 {
    font-weight: 600;
}

.general-contacts__item-icon {
    width: 50px;
    height: 50px;
    padding: 13px;
    border-radius: 10px;
    background-color: var(--pale-white);
}

.general-contacts__item-icon img {
    max-width: 100%;
}

.general-contacts__item>div:last-of-type {
    gap: 15px;
}

.general-contacts .general-contacts__item:first-child a {
    text-decoration: underline;
}

.why-us__items {
    display: grid;
    grid-template-columns: repeat(9, 1fr);
    grid-template-rows: repeat(6, 1fr);
    gap: 20px;
    margin-top: 50px;
}

.why-us__items>div:nth-of-type(1) {
    grid-column: span 3 / span 3;
    grid-row: span 3 / span 3;
}

.why-us__items>div:nth-of-type(2) {
    grid-column: span 6 / span 6;
    grid-row: span 3 / span 3;
    grid-column-start: 4;
}

.why-us__items>div:nth-of-type(3) {
    grid-column: span 6 / span 6;
    grid-row: span 3 / span 3;
    grid-row-start: 4;
}

.why-us__items>div:nth-of-type(4) {
    grid-column: span 3 / span 3;
    grid-row: span 3 / span 3;
    grid-column-start: 7;
    grid-row-start: 4;
}

.why-us__item__item {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    padding: 30px;
    border-radius: 20px;
    background-color: var(--white);
    height: 280px;
}

.why-us__item__item div {
    gap: 20px;
}

.why-us__item__item div span {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 60px;
    height: 60px;
    padding: 17.5px;
    border-radius: 100px;
    background-color: var(--pale-blue);
}

.why-us__item__item p,
.why-us__item__item h6 {
    width: 70%;
}

@media (max-width: 1200px) {
    .banner__bottom {
        grid-template-columns: 1fr;
        gap: 40px;
    }

    .banner__btns {
        justify-content: start;
    }

    .why-us__items {
        grid-template-columns: repeat(4, 1fr);
        grid-template-rows: repeat(7, 1fr);
    }

    .why-us__items>div {
        height: auto;
        gap: 50px;
    }

    .why-us__items>div:nth-of-type(1) {
        grid-column: span 4 / span 4;
        grid-row: span 2 / span 2;
    }

    .why-us__items>div:nth-of-type(2) {
        grid-column: span 2 / span 2;
        grid-row: span 3 / span 3;
        grid-row-start: 3;
    }

    .why-us__items>div:nth-of-type(3) {
        grid-column: span 2 / span 2;
        grid-row: span 3 / span 3;
        grid-column-start: 3;
        grid-row-start: 3;
    }

    .why-us__items>div:nth-of-type(4) {
        grid-column: span 4 / span 4;
        grid-row: span 2 / span 2;
        grid-row-start: 6;
    }
}

@media (max-width: 992px) {
    .about-protex__contacts-map {
        display: flex;
        flex-direction: column-reverse;
        gap: 30px;
    }

    .about-protex {margin: 0 !important;}

    .about-protex__contacts-map .contacts-map {
        margin-top: 60px;
    }
}

@media (max-width: 768px) {
    .company-digital__items {
        grid-template-columns: repeat(2, 1fr);
        grid-template-rows: auto;
    }

    .company-digital__items>div:nth-of-type(1) {
        grid-column: span 1 / span 1;
        grid-row: 1;
    }

    .company-digital__items>div:nth-of-type(2) {
        grid-column: span 2 / span 2;
        grid-row: 2;
    }

    .company-digital__items>div:nth-of-type(3){
        grid-column: span 1 / span 1;
        grid-row: 1;
    }

    .about-protex__slider {
        display: none;
    }

    .about-protex {
        grid-template-columns: 1fr;
    }

    .services {
        margin-top: 60px;
    }

    .equipment__content h2 {
        text-align: start;
    }

    .equipment__items>div:nth-of-type(1) {
        grid-column: span 6 / span 6;
        grid-row: span 2 / span 2;
    }

    .equipment__items>div:nth-of-type(2) {
        grid-column: span 6 / span 6;
        grid-row: span 2 / span 2;
        grid-column-start: 7;
    }

    .equipment__items>div:nth-of-type(3) {
        grid-column: span 6 / span 6;
        grid-row: span 2 / span 2;
        grid-row-start: 3;
    }

    .equipment__items>div:nth-of-type(4) {
        grid-column: span 6 / span 6;
        grid-row: span 2 / span 2;
        grid-column-start: 7;
        grid-row-start: 3;
    }

    .equipment__items>div:nth-of-type(5) {
        grid-column: span 12 / span 12;
        grid-row: span 4 / span 4;
        grid-row-start: 5;
    }

    .equipment__items>div:nth-of-type(6) {
        grid-column: span 6 / span 6;
        grid-row: span 2 / span 2;
        grid-row-start: 9;
    }

    .equipment__items>div:nth-of-type(7) {
        grid-column: span 6 / span 6;
        grid-row: span 2 / span 2;
        grid-column-start: 7;
        grid-row-start: 9;
    }

    .equipment__items>div:nth-of-type(8) {
        grid-column: span 6 / span 6;
        grid-row: span 2 / span 2;
        grid-row-start: 11;
    }

    .equipment__items>div:nth-of-type(9) {
        grid-column: span 6 / span 6;
        grid-row: span 2 / span 2;
        grid-column-start: 7;
        grid-row-start: 11;
    }

    .equipment__item:not(:nth-child(5)) img {
        max-width: 100px;
    }

    .equipment__item:nth-child(5) img {
        max-width: 420px;
    }

    .reviews__controls {
        top: 70px;
    }

    .reviews__title {
        max-width: 70%;
    }

    .why-us__items {
        display: flex;
        flex-direction: column;
    }

    .licenses-next,
    .licenses-prev {
        display: block !important;
        z-index: 1;
        border: none;
        background-color: white;
        top: 50%;
        box-shadow: 0px 0px 50px 0px rgba(0, 0, 0, 0.15);
    }

    .licenses-next::after,
    .licenses-prev::after {
        content: url(../images/svg/arrow-dropdown.svg);
    }

    .licenses-prev {
        left: -10px;
        transform: translateY(-50%) rotate(90deg);
    }
    
    .licenses-next {
        right: -10px;
        transform: translateY(-50%) rotate(-90deg);
    }

    .general-contacts {
        display: none;
    }
    
    .general-contacts__mobile {
        display: flex !important;
        gap: 30px;
        background-color: white;
        border-radius: 20px;
        padding: 30px;margin-top: 30px;
        margin-bottom: 80px;
    }

    .general-contacts__mobile div:not(:last-of-type) {
        gap: 15px;
    }

    .general-contacts__mobile div:last-of-type {
        margin-top: 10px;
        gap: 10px;
    }

    .general-contacts__mobile div:last-of-type button {
        height: 60px;
        width: 50%;
        font-size: 18px;
        font-weight: 500;
    }

    .general-contacts__mobile h6 {font-weight: 600;}

    .company-digital {padding: 60px 0;}

    .why-us__items,
    .services,
    .our-products__slider,
    .company-digital__items {margin-top: 40px;}

    .equipment__content,
    .services {gap: 40px;}
}

@media (max-width: 576px) {
    .banner {
        padding: 200px 0 40px 0;
    }

    .banner__text {
        font-size: 28px;
        line-height: 32px;
    }

    .banner__btns {
        flex-direction: column;
        height: auto;
    }

    .banner__btns>button {
        width: 100%;
        height: 70px;
    }

    .equipment__items,
    .our-products__next,
    .our-products__prev,
    .banner__btns a {
        display: none;
    }

    .banner__btns>button:last-of-type {
        display: flex !important;
    }

    .banner__content {
        padding: 0;
    }

    .banner__top {
        gap: 15px;
    }

    .general-contacts__mobile {padding: 25px;}
    
    .general-contacts__mobile div {
        flex-direction: column;
        align-items: start;
    }

    .general-contacts__mobile button {
        width: 100% !important;
    }

    .equipment__slider {
        display: block !important;
        width: 100%;
        position: relative;
    }

    .equipment__item {
        height: 230px;
    }

    .equipment__item img {max-width: 120px !important;}

    .equipment-next,
    .equipment-prev {
        display: block !important;
        z-index: 1;
        border: none;
        background-color: white;
        top: 50%;
        box-shadow: 0px 0px 50px 0px rgba(0, 0, 0, 0.15);
    }

    .equipment-next::after,
    .equipment-prev::after {
        content: url(../images/svg/arrow-dropdown.svg);
    }

    .equipment-prev {
        left: -10px;
        transform: translateY(-50%) rotate(90deg);
    }
    
    .equipment-next {
        right: -10px;
        transform: translateY(-50%) rotate(-90deg);
    }

    .reviews__slide {
        gap: 20px;
        padding: 25px 15px;
    }

    .reviews__slide div h6 {
        font-size: 14px;
    }

    .reviews__slide div span,
    .reviews__slide div p {
        font-size: 12px;
        line-height: 15px !important;
    }

    .reviews__slide-icon {
        width: 35px;
        height: 35px;
        padding: 11px;
    }

    .company-digital__items {
        grid-template-columns: 1fr;
    }

    .company-digital__items div {
        grid-row: auto !important;
        grid-column: auto !important;
    }

    .company-digital__item {gap: 30px;}
    .company-digital__item span {
        font-size: 42px;
        line-height: 42px;
    }

    .why-us__items,
    .our-products__slider {
        margin-top: 30px;
    }

    .equipment__content,
    .services {gap: 30px;}
}